# 德铭app客户端
## 使用
- scss
- uniapp
- 组建库 [uview](http://www.uviewui.com/)
## 目录结构
```
|-pages tabes 目录
|-pageA 前期注册用页面 
|-pageB 首页类页面
|-pageC 商城下页面
|-pageD 其余杂乱页面
|-pageE 我的页面
|-components 组建目录
|-static 静态文件目录
|-|images 图片文件
|util js库文件
|App.js
|main.js
|pages.json
|manifest.json
|uni.scss
```
## 开发规范
- 使用组建化
- 要使用scss
- 命名尽量规范 可以语义化但不可以胡乱输入
- scss层级关系使用好
- 统一使用rpx
- 组建目录需要根据页面或功能命名子目录
## 分支开发规则
- master分支将开启保护 请使用gitea合并功能
- 每人各自工作分支 每天合并
- 合并请及时拉取处理冲突
## 公共函数
```javascript
/**
* 转义富文本标签
* @param { String } temp 后台返回需要处理的富文本
* @return { String } 处理好的富文本
*/
unescapeHTML(temp){}

/**
* php时间戳转为格式化日期
* @param { String } timestamp 必填 php 返回的时间戳
* @param { String } spacer 可选 日期间隔符,默认 '-'
* @param { String } end 可选 年月日时分秒截止位置，默认 day，可传 second
* @return { String } 格式化日期
*/
timestampToDate({timestamp, spacer = '-', end = 'day'} = {}) {}
```